Bug 736727 - [abrt] xfce4-power-manager-1.0.10-1.fc16: handle_error: Process /usr/bin/xfce4-power-manager was killed by signal 5 (SIGTRAP)
[abrt] xfce4-power-manager-1.0.10-1.fc16: handle_error: Process /usr/bin/xfce...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xfce4-power-manager (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
abrt_hash:2ec2060ac9199f9e8207d804a67...
: CommonBugs
: 748322 748343 751859 756393 (view as bug list)
Depends On:
Blocks: F16Blocker-xfce
  Show dependency treegraph
 
Reported: 2011-09-08 10:21 EDT by Václav Jansa
Modified: 2012-04-19 11:20 EDT (History)
30 users (show)

See Also:
Fixed In Version: xfce4-power-manager-1.0.10-2.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-11 22:30:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: maps (21.38 KB, text/plain)
2011-09-08 10:21 EDT, Václav Jansa
no flags Details
File: backtrace (40.16 KB, text/plain)
2011-09-08 10:21 EDT, Václav Jansa
no flags Details
hopefully a better backtrace (36.53 KB, text/plain)
2011-09-20 03:10 EDT, Jiri Moskovcak
no flags Details
logs (519.87 KB, application/x-compressed-tar)
2011-11-28 15:14 EST, Andrew
no flags Details

  None (edit)
Description Václav Jansa 2011-09-08 10:21:19 EDT
abrt version: 2.0.5
backtrace_rating: 4
cmdline:        xfce4-power-manager
comment:        Crash after first login to Xfce
crash_function: handle_error
executable:     /usr/bin/xfce4-power-manager
kernel:         3.1.0-0.rc4.git0.0.fc16.x86_64
reason:         Process /usr/bin/xfce4-power-manager was killed by signal 5 (SIGTRAP)
time:           Thu Sep  8 16:15:43 2011
uid:            1000
username:       vagojan
xsession_errors: 

backtrace:      Text file, 41124 bytes
maps:           Text file, 21889 bytes

build_ids:
:1c6a95451ee19617be5abea3d121f0226d21ddda
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:f50268f9db421d9b43b62fd6a1d21eb1c4eacece
:2fd6dbe0359154b7cf4e0af02e3aa0f9ec819f11
:98fa95d21e16075ada6df19748c6c133ee9165d0
:6820b4f421980e4f5fe23c69b239dc8279af3c76
:e3c88cb9ea428bd61f4064dbd53acae2d396a1ec
:f47fce6e45fa4fdaf051267eaa7ed685f4f9125e
:d0c6e13f00a20952a72a945c929efb175fd760e3
:fda851c000cc74a5a4a85bdb206eb46f5eee8526
:206a5869a7f2789e2f7c51d0175a711f51abe824
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:e8bc61d7b76ebf2666202c6be453db732664609f
:3c3adb66e9353bfba1d6fb36854801f801d267a8
:44ece411beb2ef1acdb5eb2161666de41cc2f31d
:760353304c81dfac3458d15cae237f80f64df76f
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:25b834f4c4dc534708635ff1064e2fe02a366a62
:353a61c264385b7feec38c9e34040aa9bc615d6a
:20dd35a9eff5883f7e62b9088e36321248be389a
:aaf62304b0fc10611d35b4f56005479d4c58868d
:c8a4e40c84c2f52e78c64d31efc0191c565a9049
:8acc43df965b3c0a70dcfad11c0ade056bdb055b
:9517a2a60bd94eea3a1f6bbc98296f888980dca8
:dfc1b11c1ced5c134adca2b29874a41f39f0eeaf
:4953d1f613914126bccceb3cb96386647ffba9df
:0911ea7c180d733724f89037b8e8a34e64024aec
:d093eb8b9812d88de7ed227522312059ad04ad57
:ae43790e788432621dbab61da7f02421a3d46919
:6f5b5cd510ee703e4609edf292135e02dd969fb5
:91709dc7083204ddd936d5ad28c171985f06f66c
:f5fa844fb5fe095da6b988d206af5a1f8c81a7bc
:ed91e7cbb6d7056226b7d9d50fff88e24dd5eaac
:4c842320387ff7f6f91b7842b223c16518be909f
:c3cc06ceb6e1a99743164a9db770a23d5a68dd47
:6eb9cdf480446ee73a448849f4c706188496ab56
:4a530d1a1f50cde4dbf10bfc36a0aba3f7c1d960
:7994f114cf7189e482f2665fae8e351ed8bc05e3
:4b01fe6e705219deca2756ff0720d52ec81b4c87
:be507c791e34415e8f42f0e6030c889b2895cf9a
:e81e108ee1e9f0fca2ef39f5d0517483c78ae650
:33001d9c43203911ccf35a2f3db5b6b2d70cb292
:91689252818532ec13597b6528d38be93b2706c4
:33d2ab2ee0f9451d3d39cb670b1b5821ab848cc4
:38783f923e10933ed628e548143ce7c2ac0bc5a0
:33fcb628aa1a89e201f6078779953af49888025a
:23b6792e3218744316fd495002f40a037c2e0095
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:29d5671c1a850397059b8c7a07373569317ff606
:c755f1e5d539d4d011fa34f14fe0ec98c6792eca
:d440afe7396b3365dcb935f9bf7f2fb28f3839de
:163b323da65b708418226eb5fa8b057c731d1475
:48aea888319e1848137073c9cbde54a4c2a731c9
:b038838c10d38141b6ec19b40168be9caaa78286
:a518a8b1b5c3e80dee813df05e951d205d6ac48c
:9afa4a71f0f6a189e8dcf1179b9445a81df0ab28

dso_list:
:/usr/lib64/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.x86_64 (Fedora Project) 1315474511
:/lib64/libm-2.14.90.so glibc-2.14.90-7.x86_64 (Fedora Project) 1315476125
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-3.fc16.x86_64 (Fedora Project) 1315474507
:/usr/lib64/libxfconf-0.so.2.0.0 xfconf-4.8.0-4.fc16.x86_64 (Fedora Project) 1315491247
:/usr/lib64/libX11-xcb.so.1.0.0 libX11-1.4.3-1.fc16.x86_64 (Fedora Project) 1315474507
:/usr/lib64/libgdk_pixbuf-2.0.so.0.2400.0 gdk-pixbuf2-2.24.0-1.fc16.x86_64 (Fedora Project) 1315474533
:/lib64/libresolv-2.14.90.so glibc-2.14.90-7.x86_64 (Fedora Project) 1315476125
:/usr/lib64/libgdk-x11-2.0.so.0.2400.6 gtk2-2.24.6-1.fc16.x86_64 (Fedora Project) 1315474764
:/usr/lib64/libffi.so.5.0.10 libffi-3.0.10-1.fc16.x86_64 (Fedora Project) 1315476148
:/usr/lib64/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-2.fc15.x86_64 (Fedora Project) 1315474500
:/lib64/libgio-2.0.so.0.2918.0 glib2-2.29.18-1.fc16.x86_64 (Fedora Project) 1315474499
:/usr/lib64/libSM.so.6.0.1 libSM-1.2.0-2.fc15.x86_64 (Fedora Project) 1315474496
:/usr/lib64/libpangoft2-1.0.so.0.2903.0 pango-1.29.3-2.fc16.x86_64 (Fedora Project) 1315474761
:/usr/lib64/libfontconfig.so.1.4.4 fontconfig-2.8.0-4.fc16.x86_64 (Fedora Project) 1315474627
:/lib64/libpthread-2.14.90.so glibc-2.14.90-7.x86_64 (Fedora Project) 1315476125
:/lib64/libexpat.so.1.5.2 expat-2.0.1-11.fc15.x86_64 (Fedora Project) 1315474497
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-5.0-1.fc16.x86_64 (Fedora Project) 1315474508
:/lib64/libgcc_s-4.6.1-20110824.so.1 libgcc-4.6.1-8.fc16.x86_64 (Fedora Project) 1315476101
:/lib64/libnss_files-2.14.90.so glibc-2.14.90-7.x86_64 (Fedora Project) 1315476125
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.x86_64 (Fedora Project) 1315474508
:/usr/lib64/libnotify.so.4.0.0 libnotify-0.7.4-1.fc16.x86_64 (Fedora Project) 1315474844
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc16.x86_64 (Fedora Project) 1315474507
:/usr/lib64/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.x86_64 (Fedora Project) 1315474508
:/usr/lib64/gtk-2.0/2.10.0/engines/libclearlooks.so gtk2-engines-2.20.2-2.fc15.x86_64 (Fedora Project) 1315474775
:/lib64/libdbus-1.so.3.5.6 dbus-libs-1:1.4.10-3.fc16.x86_64 (Fedora Project) 1315474491
:/lib64/libdl-2.14.90.so glibc-2.14.90-7.x86_64 (Fedora Project) 1315476125
:/usr/lib64/libpangocairo-1.0.so.0.2903.0 pango-1.29.3-2.fc16.x86_64 (Fedora Project) 1315474761
:/lib64/libuuid.so.1.3.0 libuuid-2.20-1.fc16.x86_64 (Fedora Project) 1315476131
:/usr/lib64/libxfce4util.so.4.1.1 libxfce4util-4.8.1-2.fc15.x86_64 (Fedora Project) 1315491241
:/usr/lib64/libpng12.so.0.46.0 libpng-2:1.2.46-1.fc16.x86_64 (Fedora Project) 1315474492
:/lib64/libc-2.14.90.so glibc-2.14.90-7.x86_64 (Fedora Project) 1315476125
:/usr/lib64/libXinerama.so.1.0.0 libXinerama-1.1.1-2.fc15.x86_64 (Fedora Project) 1315474513
:/lib64/librt-2.14.90.so glibc-2.14.90-7.x86_64 (Fedora Project) 1315476125
:/usr/lib64/libICE.so.6.3.0 libICE-1.0.7-1.fc16.x86_64 (Fedora Project) 1315474493
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1315474506
:/usr/lib64/libpixman-1.so.0.22.2 pixman-0.22.2-1.fc16.x86_64 (Fedora Project) 1315474505
:/lib64/libselinux.so.1 libselinux-2.1.4-2.fc16.x86_64 (Fedora Project) 1315476113
:/usr/lib64/libXrandr.so.2.2.0 libXrandr-1.3.1-2.fc15.x86_64 (Fedora Project) 1315474508
:/lib64/libz.so.1.2.5 zlib-1.2.5-4.fc16.x86_64 (Fedora Project) 1315474491
:/lib64/ld-2.14.90.so glibc-2.14.90-7.x86_64 (Fedora Project) 1315476125
:/usr/lib64/libXext.so.6.4.0 libXext-1.2.0-2.fc15.x86_64 (Fedora Project) 1315474507
:/usr/lib64/libgtk-x11-2.0.so.0.2400.6 gtk2-2.24.6-1.fc16.x86_64 (Fedora Project) 1315474764
:/usr/lib/locale/locale-archive glibc-common-2.14.90-7.x86_64 (Fedora Project) 1315476119
:/usr/lib64/libXcomposite.so.1.0.0 libXcomposite-0.4.3-2.fc15.x86_64 (Fedora Project) 1315474508
:/usr/lib64/libxfce4ui-1.so.0.0.0 libxfce4ui-4.8.0-4.fc16.x86_64 (Fedora Project) 1315491248
:/usr/bin/xfce4-power-manager xfce4-power-manager-1.0.10-1.fc16.x86_64 (Fedora Project) 1315491291
:/usr/lib64/libxcb-aux.so.0.0.0 xcb-util-0.3.6-2.fc15.x86_64 (Fedora Project) 1315474544
:/lib64/libglib-2.0.so.0.2918.0 glib2-2.29.18-1.fc16.x86_64 (Fedora Project) 1315474499
:/usr/lib64/libatk-1.0.so.0.20114.1 atk-2.1.5-1.fc16.x86_64 (Fedora Project) 1315474500
:/usr/lib64/libstartup-notification-1.so.0.0.0 startup-notification-0.12-1.fc16.x86_64 (Fedora Project) 1315474544
:/lib64/libgobject-2.0.so.0.2918.0 glib2-2.29.18-1.fc16.x86_64 (Fedora Project) 1315474499
:/usr/lib64/libcairo.so.2.11000.2 cairo-1.10.2-4.fc16.x86_64 (Fedora Project) 1315474628
:/usr/lib64/libfreetype.so.6.7.1 freetype-2.4.6-1.fc16.x86_64 (Fedora Project) 1315474491
:/lib64/libgmodule-2.0.so.0.2918.0 glib2-2.29.18-1.fc16.x86_64 (Fedora Project) 1315474499
:/usr/lib64/libXi.so.6.1.0 libXi-1.4.3-2.fc16.x86_64 (Fedora Project) 1315476211
:/lib64/libgthread-2.0.so.0.2918.0 glib2-2.29.18-1.fc16.x86_64 (Fedora Project) 1315474499
:/usr/lib64/libpango-1.0.so.0.2903.0 pango-1.29.3-2.fc16.x86_64 (Fedora Project) 1315474761

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=13
:SSH_AGENT_PID=3833
:HOSTNAME=mozart.ntkcz.cz
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/gpg-xcGRtN/S.gpg-agent:3858:1
:GLADE_PIXMAP_PATH=:
:XDG_MENU_PREFIX=xfce-
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=337d0cef7ae7be448eea2ff00000002b-1315491341.205874-1245291426
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-SAqf2g
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=vagojan
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-nPUuEiMs3714/agent.3714
:USERNAME=vagojan
:XDG_CONFIG_DIRS=/etc/xdg
:MAIL=/var/spool/mail/vagojan
:DESKTOP_SESSION=xfce
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/vagojan/.local/bin:/home/vagojan/bin
:QT_IM_MODULE=xim
:PWD=/home/vagojan
:XMODIFIERS=@im=none
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=3710
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/vagojan
:LOGNAME=vagojan
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-xg4r2hvaeo,guid=8c954672f37f73ad3ee3b02a000002c1
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/vagojan
:GLADE_CATALOG_PATH=:
:LIBGLADE_MODULE_PATH=:
:XAUTHORITY=/var/run/gdm/auth-for-vagojan-jAl0vM/database
:_=/usr/bin/xfce4-session
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/3869,unix/unix:/tmp/.ICE-unix/3869
:DISPLAY=:0.0

smolt_data:
:
:
:General
:=================================
:UUID: 65ca9c56-3cba-4292-abde-0980e02469f1
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5188.28
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5-2540M CPU @ 2.60GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2601
:System Memory: 3945
:System Swap: 7999
:Vendor: Hewlett-Packard
:System: HP EliteBook 8460p A0001D02
:Form factor: Notebook
:Kernel: 3.1.0-0.rc4.git0.0.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4147:404:4156:5660) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(32902:260:4156:5660) pci, None, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:257:32902:8208) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:(32902:7171:4156:5660) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7247:4156:5660) pci, None, PCI/ISA, QM67 Express Chipset Family LPC Controller
:(6523:9088:4156:5660) pci, firewire_ohci, FIREWIRE, IEEE 1394 Host Controller
:(6523:9106:4156:5660) pci, sdhci-pci, BASE, SD/MMC Host Controller
:(6523:9105:4156:5660) pci, None, BASE, Standard SD Host Controller
:(32902:5378:4156:5660) pci, e1000e, ETHERNET, 82579LM Gigabit Network Connection
:(32902:7213:4156:5660) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4156:5660) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:7226:4156:5660) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(32902:7188:4156:5660) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 3
:(32902:7190:4156:5660) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:4156:5660) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:4156:5660) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7198:4156:5660) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 8
:(32902:7200:4156:5660) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7229:4156:5660) pci, serial, 16550_SERIAL, 6 Series/C200 Series Chipset Family KT Controller
:(4098:43672:4156:5662) pci, snd_hda_intel, MULTIMEDIA, NI Caicos HDMI Audio [AMD RADEON HD 6450]
:(4098:26464:4156:5662) pci, radeon, VIDEO, NI Seymour [AMD Radeon HD 6470M]
:(32902:133:32902:4881) pci, iwlagn, NETWORK, Centrino Advanced-N 6205 AGN
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_mozart-root / ext4 4096 4096 10079070 8641010 8129010 2564096 2398994 2398994
:/dev/sda1 /boot ext4 1024 1024 495844 436657 411057 128016 127792 127792
:/dev/mapper/luks-7f736c04-0cbe-4219-9b7f-770bf00aa34b /home ext4 4096 4096 12602545 12525289 11885110 3203072 3202625 3202625
:

var_log_messages:
:Sep  8 16:14:51 mozart yum[3400]: Installed: xfce4-power-manager-1.0.10-1.fc16.x86_64
:Sep  8 16:15:44 mozart abrt[4042]: saved core dump of pid 4025 (/usr/bin/xfce4-power-manager) to /var/spool/abrt/ccpp-2011-09-08-16:15:43-4025.new/coredump (10633216 bytes)
Comment 1 Václav Jansa 2011-09-08 10:21:23 EDT
Created attachment 522131 [details]
File: maps
Comment 2 Václav Jansa 2011-09-08 10:21:26 EDT
Created attachment 522132 [details]
File: backtrace
Comment 3 Václav Jansa 2011-09-08 10:26:05 EDT
Package: xfce4-power-manager-1.0.10-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Second login to Xfce. Problem persist.
Comment 4 Chuck Ebbert 2011-09-12 09:58:53 EDT
Right after this happens all the window decorations disappear and the system switches to focus-follows-mouse.
Comment 5 Jiri Moskovcak 2011-09-15 15:34:34 EDT
Package: xfce4-power-manager-1.0.10-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Just logged into xfce session.
Comment 6 Jiri Moskovcak 2011-09-20 02:41:07 EDT
Ping? This seems to me like pretty serious problem, it dies every time I log into XFCE and non-working power manager means the laptop just dies without a warninng when the battery is low.
Comment 7 Christoph Wickert 2011-09-20 02:57:32 EDT
I am sorry, unlike you I am not paid by Red Hat but a volunteer, so things can take a little longer when I am busy with my dayjob.
Comment 8 Christoph Wickert 2011-09-20 03:02:46 EDT
Can any of you please provide a better backtrace? The one we have lacks all xfce4-power-manager debug symbols and some others are outdated.

So if you can reproduce this but, make sure to update your system incl the debuginfo packages and then run 

# debuginfo-install xfce4-power-manager

Then reproduce the bug and provide the backtrace here. TIA!
Comment 9 Jiri Moskovcak 2011-09-20 03:08:01 EDT
(In reply to comment #7)
> I am sorry, unlike you I am not paid by Red Hat but a volunteer, so things can
> take a little longer when I am busy with my dayjob.

Sorry, I didn't mean to nag you, I'm just hitting this bug for a month, so I was hoping it's already known and there might be some workaround..will upload a better backtrace in few mins..
Comment 10 Jiri Moskovcak 2011-09-20 03:10:13 EDT
Created attachment 523961 [details]
hopefully a better backtrace
Comment 11 Christoph Wickert 2011-09-20 04:43:10 EDT
This is strange, the backtrace contains *some* debug symbols, but not all of them:

#10 xfpm_brightness_setup (brightness=0x23e2ed0 [XfpmBrightness]) at xfpm-brightness.c:521
No locals.
#11 0x0000000000411dc6 in xfpm_backlight_init (backlight=0x7faee8007e90 [XfpmBacklight]) at xfpm-backlight.c:381
No locals.

I am starting to think there is something wrong with how upstream treats debugging symbols. xfce4-power-manger-debuginfo is installed, right?
Comment 12 Jiri Moskovcak 2011-09-20 04:59:06 EDT
(In reply to comment #11)

> I am starting to think there is something wrong with how upstream treats
> debugging symbols. xfce4-power-manger-debuginfo is installed, right?

- yes, according to ABRT everything is installed and even gdb is missing only the kernel-debuginfo (which ABRT never installs)
- I even tried to use debuginfo-install just to make sure there is not a bug in ABRT and got the same:

#10 xfpm_brightness_setup (brightness=0x23e2ed0 [XfpmBrightness]) at xfpm-brightness.c:521
No locals.
#11 0x0000000000411dc6 in xfpm_backlight_init (backlight=0x7faee8007e90 [XfpmBacklight]) at xfpm-backlight.c:381
No locals.

- I can try to compile it without optimizations to see if it give us a better bt, but later...
Comment 13 Christoph Wickert 2011-09-20 05:40:39 EDT
Let's see if a simple rebuild helps:
Rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=3363713
F16: http://koji.fedoraproject.org/koji/taskinfo?taskID=3363771
Comment 14 Jiri Moskovcak 2011-09-20 06:58:42 EDT
(In reply to comment #13)
> Let's see if a simple rebuild helps:

- no, it doesn't :(
Comment 15 Jiri Moskovcak 2011-09-24 06:26:28 EDT
This is patch which I use to temporary workaround this problem:

@@ -66,7 +66,8 @@ xfpm_brightness_xrand_get_limit (XfpmBrightness *brightness, RROutput output, gi
     XRRPropertyInfo *info;
     gboolean ret = TRUE;
.
-    info = XRRQueryOutputProperty (GDK_DISPLAY (), output, brightness->priv->backlight);
+    //info = XRRQueryOutputProperty (GDK_DISPLAY (), output, brightness->priv->backlight);
+    info = NULL;
Comment 16 Jiri Moskovcak 2011-09-24 06:28:57 EDT
I have a feeling it happens only with nouveau driver, can someone please confirm this? I'll test the nvidia blob later...
Comment 17 Alexei Panov 2011-09-24 07:31:58 EDT
Yes, Jiri. I can confirm this bug with nouveau.
Comment 18 Jiri Moskovcak 2011-09-24 09:38:32 EDT
Scratch build with my workaround integrated (for those who don't like their laptop to run out of battery without warning...). Please note, that this is just a WORKAROUND without any warranty:

F16: http://koji.fedoraproject.org/koji/taskinfo?taskID=3373474
rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=3373480
Comment 19 Jiri Moskovcak 2011-09-24 12:23:37 EDT
It doesn't crash with nvidia blob, so I believe it's xrandr+nouveau problem. I was about to mark this as a release blocker, because I believe it falls into this release blocker criteria:

8. In most cases, there must be no SELinux 'AVC: denied' messages or abrt crash notifications on initial boot and subsequent login (see Blocker_Bug_FAQ) 
- abrt notifies about this crash every time I log into XFCE session

9. All known bugs that can cause corruption of user data must be fixed or documented at Common F16 bugs
- when the laptop runs out of battery without warning, it can definitely cause a data corruption or loss


- but then I found XFCE doesn't fall into:

"release-blocking desktops"
Comment 20 igor.redhat@gmail.com 2011-09-26 15:36:52 EDT
Package: xfce4-power-manager-1.0.10-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
See bugs 736964 and 741394
Comment 21 igor.redhat@gmail.com 2011-09-26 15:39:34 EDT
This happens to me as well and I'm on radeon. In the above comment I meant to say that this sounds like exact same problem as in bug 736964 and bug 741394.
Comment 22 igor.redhat@gmail.com 2011-09-29 02:31:07 EDT
(In reply to comment #18)
> Scratch build with my workaround integrated (for those who don't like their
> laptop to run out of battery without warning...). Please note, that this is
> just a WORKAROUND without any warranty:

I can confirm that this build does indeed help - I'm not seeing any coredumps anymore.
Comment 23 Matthias Runge 2011-10-04 14:18:09 EDT
Package: xfce4-power-manager-1.0.10-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
log into xfce4
Comment 24 Larry Cafiero 2011-10-06 17:05:44 EDT
Package: xfce4-power-manager-1.0.10-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
I booted my laptop, a ThinkPad T30, and there appeared this message
Comment 25 Jeffrey C. Ollie 2011-10-11 08:10:34 EDT
Package: xfce4-power-manager-1.0.10-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
booting up
Comment 26 Maciek Borzecki 2011-10-11 11:26:55 EDT
Package: xfce4-power-manager-1.0.10-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
Happens always when I log into xfce session
Comment 27 Maciek Borzecki 2011-10-11 11:31:01 EDT
(In reply to comment #26)
> Package: xfce4-power-manager-1.0.10-1.fc16
> Architecture: i686
> OS Release: Fedora release 16 (Verne)
> 
> Comment
> -----
> Happens always when I log into xfce session
Again that's using a radeon driver.
Comment 28 Kenny Armstrong 2011-10-14 07:58:13 EDT
Package: xfce4-power-manager-1.0.10-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Fresh install of Fedora 16, this happens every time when I log in to XFCE
Comment 29 Alessandro 2011-10-15 15:12:23 EDT
Package: xfce4-power-manager-1.0.10-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
starting xfce
Comment 30 Wolfgang Rupprecht 2011-10-17 09:44:36 EDT
Package: xfce4-power-manager-1.0.10-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
initial login of a system with a clean install of f16-beta and the /home directories copied from f15.
Comment 31 Zoltan Hoppar 2011-10-23 19:36:01 EDT
Package: xfce4-power-manager-1.0.10-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
It's reproducable immediatelly on my machine (HP Probook 4515s), on linve mode the app always crashing/reporting theat my battery is full/restarts - and after install simply gets an SIG5 sigtrap. The used Fedora is F16TC2.
Comment 32 Christoph Wickert 2011-10-24 04:34:54 EDT
*** Bug 748343 has been marked as a duplicate of this bug. ***
Comment 33 Christoph Wickert 2011-10-24 04:39:28 EDT
*** Bug 748322 has been marked as a duplicate of this bug. ***
Comment 34 Matthias Runge 2011-10-24 05:24:56 EDT
Should this become a F16Blocker? NTH?
Comment 35 Jiri Moskovcak 2011-10-24 06:52:19 EDT
(In reply to comment #34)
> Should this become a F16Blocker? NTH?

No, XFCE is not a release blocking desktop.
Comment 36 Christoph Wickert 2011-10-24 07:22:53 EDT
That's why it becomes NTH rather than Blocker. I am now adding a blocker on F16Blocker-xfce (which blocks F16-accepted)
Comment 37 Raphael Groner 2011-10-24 13:23:27 EDT
I can't reproduce the crash. I have an Intel N10 Family GPU here.
Comment 38 Mario Heininger 2011-10-26 02:34:03 EDT
Same here with an Lenovo x121e, F16 64Bit, AMD Drivers. Signal 5 every time ...
Comment 39 igor.redhat@gmail.com 2011-10-27 13:51:49 EDT
Package: xfce4-power-manager-1.0.10-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
This happens every time xfce power manager is started on my box.
Comment 40 igor.redhat@gmail.com 2011-10-27 13:58:10 EDT
Package: xfce4-power-manager-1.0.10-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
This happens every time xfce power manager is started on my box.
Comment 41 Adam Williamson 2011-10-28 15:37:39 EDT
Discussed at 2011-10-28 NTH review meeting, accepted as NTH as a 'blocker' issue in a non-blocking desktop.
Comment 42 eblix08 2011-11-03 19:57:15 EDT
Package: xfce4-power-manager-1.0.10-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
Happens every time I start up and log in.
Comment 43 Christoph Wickert 2011-11-07 17:27:57 EST
*** Bug 751859 has been marked as a duplicate of this bug. ***
Comment 44 Radim Vaňousek 2011-11-08 06:17:45 EST
Package: xfce4-power-manager-1.0.10-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Fresh install of Fedora 16 XFCE live, this happens every time when I log in to XFCE.
Comment 45 Raphael Groner 2011-11-08 08:02:27 EST
This seems to be a very annoying bug.

Anybody analyzed the backtrace already? I think the interesting part is "BadName (named color or font does not exist)".

I guess an issue with X or xfs. Found an old bug, maybe it's something similiar.

https://bugzilla.redhat.com/show_bug.cgi?id=430416

Proposal to reassign this bug to Xorg.
Comment 46 Radim Vaňousek 2011-11-08 17:07:41 EST
Status updated:
Weird... I think that Fedora 16 logo shown during boot is to be expected. Sometimes it shows only a running stripe on the bottom of the screen -if that happens, my screen resolution changes and Xfce4-power-manager starts up without an error. If my memory serves, this happened to me in Fedora 15 xfce spin once.
Comment 47 Maciek Borzecki 2011-11-08 17:13:36 EST
The upstream has the following suggestion to the problem: https://bugzilla.xfce.org/show_bug.cgi?id=7999#c3 which originally came from openSUSE https://bugzilla.novell.com/show_bug.cgi?id=718980
How about applying the fix?
Comment 48 Radim Vaňousek 2011-11-08 18:21:31 EST
(In reply to comment #46)
> Status updated:
> Weird... I think that Fedora 16 logo shown during boot is to be expected.
> Sometimes it shows only a running stripe on the bottom of the screen -if that
> happens, my screen resolution changes and Xfce4-power-manager starts up without
> an error. If my memory serves, this happened to me in Fedora 15 xfce spin once.

Just a thought: 
It happens with nouveau. Nvidia users can't even use nvidia stable drivers because of Xorg 1.11.x. Is it possible to downgrade Xorg to previous version? I know how to do that only in Debian.
Comment 49 Radim Vaňousek 2011-11-08 19:23:21 EST
(In reply to comment #48)
> (In reply to comment #46)
> > Status updated:
> > Weird... I think that Fedora 16 logo shown during boot is to be expected.
> > Sometimes it shows only a running stripe on the bottom of the screen -if that
> > happens, my screen resolution changes and Xfce4-power-manager starts up without
> > an error. If my memory serves, this happened to me in Fedora 15 xfce spin once.
> 
> Just a thought: 
> It happens with nouveau. Nvidia users can't even use nvidia stable drivers
> because of Xorg 1.11.x. Is it possible to downgrade Xorg to previous version? I
> know how to do that only in Debian.

Tested. Yum did not find other/older version of Xorg.
Comment 50 Craig Anthony 2011-11-08 21:05:37 EST
Package: xfce4-power-manager-1.0.10-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Power manager crashed on first login after install of XFCE default spin and crashes on every single login.
Comment 51 Radim Vaňousek 2011-11-08 21:11:50 EST
Possible workaround (without nouveau): 
Try Nvidia 275.36 "long-lived branch" or 290.06 driver, they should work with Xorg 1.11.X


Or log as root and do the following:
1.  "init 3"
2.  "yum -remove xorg-x11-drv-nouveau"
3.  "yum install xorg-x11-drv-nouveau"
4.  "init 5"
5.  log in 
...third restart, nouveau running and no error from xfce4-power-manager... yet
Comment 52 Craig Anthony 2011-11-08 21:26:18 EST
I installed kmod-nvidia.x86_64 1:285.05.09-1.fc16.4 from rpmfusion.  After rebuilding the initrd to blacklist nouveau, X started up with the nvidia driver and this problem is not happening for me any longer.

This was on a Lenovo ThinkPad T510 with NVidia graphics, does seem to be a nouveau-related problem.
Comment 53 Matthias Runge 2011-11-09 02:20:30 EST
> This was on a Lenovo ThinkPad T510 with NVidia graphics, does seem to be a
> nouveau-related problem.

This problem affects at least some noveau users, some AMD users, but no intel users, right?

AMD: my X300 is affected, my Radeon HD 3470 not.

I get those warnings, when run via xcfce4-power-manager --no-daemon from other prgrams, too. They seem so work flawless. Those warnings might be related, maybe not.

Reassign to X-bug? +1!
Comment 54 Mario Heininger 2011-11-09 02:28:29 EST
No that is not an NOUVEAU Bug, because on my Thinkpad x121e i have the same problem, and this is an AMD Chipset with an Radeon Graphic. Only on my T410, which is intel Graphic Based it works.

Crazy that the bug is still alive all the development Cycle and in the Final F16.
Comment 55 Igor Bukanov 2011-11-09 02:49:52 EST
Package: xfce4-power-manager-1.0.10-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
It happens every time I login
Comment 56 Raphael Groner 2011-11-09 02:59:13 EST
(In reply to comment #54)
> Crazy that the bug is still alive all the development Cycle and in the Final
F16.

Well, it seems that the developers or maintainers can't reproduce the behaviour with their own hardware. Otherwise, I would have expected a fast reply. And how can you justify that's the same bug ... :)

Debian sid has a similiar problem:

http://help.lockergnome.com/linux/Bug-641752-xfpm-change-default-values-backlight-brightness-i--ftopict543319.html

""
I cannot change the default values of brightness (80% on AC and 20% on
battery) that xfce4-power-manager claims it will set the display to when
the computer is inactive for a specified amount of time.

They appear to be changed, but as soon as I close it goes back to defaults.
This is rather annoying as I want to change it to whatever I want. 
""
Comment 57 Christoph Wickert 2011-11-09 04:52:48 EST
How is that related to this bug report? This looks more like bug 721166.
Comment 58 Igor Bukanov 2011-11-09 05:03:39 EST
(In reply to comment #55)
> Package: xfce4-power-manager-1.0.10-1.fc16
> Architecture: x86_64
> OS Release: Fedora release 16 (Verne)
> 
> Comment
> -----
> It happens every time I login

This is with Dell Inspiron 101z laptop with Radeon driver.
Comment 59 Radim Vaňousek 2011-11-09 06:30:20 EST
(In reply to comment #53)
> > This was on a Lenovo ThinkPad T510 with NVidia graphics, does seem to be a
> > nouveau-related problem.
> 
> This problem affects at least some noveau users, some AMD users, but no intel
> users, right?
> 
> AMD: my X300 is affected, my Radeon HD 3470 not.
> 
> I get those warnings, when run via xcfce4-power-manager --no-daemon from other
> prgrams, too. They seem so work flawless. Those warnings might be related,
> maybe not.
> 
> Reassign to X-bug? +1!


Intel users are also affected. (tested on Core 2 Duo; Merom)
Comment 60 Christoph Wickert 2011-11-09 07:53:06 EST
I am an Intel user myself and I cannot reproduce the bug.
Comment 61 Alexei Panov 2011-11-09 08:06:01 EST
(In reply to comment #60)
> I am an Intel user myself and I cannot reproduce the bug.

Christoph, this bug was reproduced for me only first 7-10 boot of system. 
I.e. on now this bug is not reproduced for me.
Maybe this information will help you. I use nouveau driver.
Comment 62 cptcool 2011-11-09 10:51:55 EST
I can reproduce this on a Thinkpad T61 every time xfce4-settings-manager is launched. 

Using free graphics drivers (nvidia card inside).

Has anyone tried to revert to an older version of the package?
Comment 63 Martin Nyhus 2011-11-09 13:19:13 EST
Package: xfce4-power-manager-1.0.10-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
The crash occured right after logging in
Comment 64 Marco Marignoli 2011-11-09 13:26:27 EST
Package: xfce4-power-manager-1.0.10-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
It crashes on load
Comment 65 Mattux 2011-11-09 16:37:57 EST
Package: xfce4-power-manager-1.0.10-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
The power manager of Xfce4 doesn't work.
It happens at the startup of the environment. When I try to open the power manager, it appears an alert that says something like "The power manager of Xfce4 is not in execution, start it now?" If I agree, nothing happens. The power manager it's impossibile start it.
Comment 66 gondarlinux 2011-11-10 04:19:46 EST
Package: xfce4-power-manager-1.0.10-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Upon first and every successive login, the power settings manager fails.
Comment 67 Yura Mints 2011-11-10 13:33:10 EST
Package: xfce4-power-manager-1.0.10-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
1. install Fedora 16 from x64 DVD with xfce only desktop
2. reboot after installalation
3. XFCE Power manager crash
Comment 68 Maciek Borzecki 2011-11-10 18:16:01 EST
I've rebuilt the package with a workaround from upstream report, packages can be found here:
https://koji.fedoraproject.org/koji/taskinfo?taskID=3506524 - i686
https://koji.fedoraproject.org/koji/taskinfo?taskID=3506523 - x86_64

The crash is gone, with backlight control working through sysfs rather than xrandr.
Note, I'm not xfce4-power-manager maintaier, use the packages at your own risk.
Comment 69 Christoph Wickert 2011-11-10 19:18:34 EST
Hi Maciek,

as you write this I am working on an update. You have used the fix suggested in https://bugzilla.xfce.org/show_bug.cgi?id=7999#c3, right?
Comment 70 Maciek Borzecki 2011-11-10 19:24:25 EST
(In reply to comment #69)
> Hi Maciek,
> 
> as you write this I am working on an update. You have used the fix suggested in
> https://bugzilla.xfce.org/show_bug.cgi?id=7999#c3, right?
Yes, that's correct.
Comment 71 Christoph Wickert 2011-11-10 19:51:49 EST
Alright. Is any of you seeing this crash in F15?
Comment 72 Fedora Update System 2011-11-10 20:29:20 EST
xfce4-power-manager-1.0.10-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/xfce4-power-manager-1.0.10-2.fc16
Comment 73 Adam Williamson 2011-11-10 21:15:09 EST

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 74 Mark E. Wilt 2011-11-10 21:34:20 EST
Package: xfce4-power-manager-1.0.10-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
It simply failed at login
Comment 75 Fedora Update System 2011-11-11 22:30:40 EST
xfce4-power-manager-1.0.10-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 76 Mario Heininger 2011-11-13 05:54:28 EST
With this Fix, the problem has gone, xfce4-power-manager is working here on Nvidia and AMD Chipset without the Signal 5 problem !

THANX !
Comment 77 Adam Williamson 2011-11-17 22:41:28 EST

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 78 Christoph Wickert 2011-11-23 07:55:47 EST
*** Bug 756393 has been marked as a duplicate of this bug. ***
Comment 79 Andrew 2011-11-28 12:55:22 EST
Problem still exists. After fresh install xfce power manager was crashing every time when logging to system. Now it's crashing every time when I plug in/out a power cable. My laptop is Dell Inspiron 1501.
Comment 80 Christoph Wickert 2011-11-28 13:25:49 EST
Did you update your system after the install? Make sure you are running xfce4-power-manager-1.0.10-2.fc16 and not 1.0.10-1.fc16.
Comment 81 Raphael Groner 2011-11-28 13:52:36 EST
Try to reinstall some packages. It helped here after I did (accidently) brake the file system permissions.

$ yum reinstall xfce4-power-manager upower xfce4-session

Maybe there are more packages to consider about, dunno.
Comment 82 Andrew 2011-11-28 15:12:47 EST
Yes, I have the recent version and still when I plug a cord I see "process was killed by signal 11" in automatic bug reporting tool. I'm quite new to Fedora and I haven't learned how to use this tool yet. This is packet's description (sorry for russian language):

Название: xfce4-power-manager
Архитектура: x86_64
Версия: 1.0.10
Выпуск: 2.fc16
Объем: 3.3 M
Источник: installed
Из источника: updates
Аннотация: Power management for the Xfce desktop environment


Tried "yum reinstall xfce4-power-manager upower xfce4-session". Still no luck. Plugging power cord in/out causes power manager to crash. I'll try to attach some logs, not sure if this can help.
Comment 83 Andrew 2011-11-28 15:14:06 EST
Created attachment 537662 [details]
logs
Comment 84 Christoph Wickert 2011-11-28 15:25:56 EST
Thanks for the logs, I will look at them later.

Just to be sure: You did restart your computer or log out of the Xfce desktop after updating the package, right?
Comment 85 Andrew 2011-11-28 22:48:03 EST
Yes, I have rebooted my laptop and performed a test. I think changing power state (charging, on battery) causes xfce power manager to crash. I can see that icon changes and right after that it shuts down.

Note You need to log in before you can comment on or make changes to this bug.